Bug 170859 - Virtual IP's created on more than one node
Virtual IP's created on more than one node
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-14 15:36 EDT by Henry Harris
Modified: 2009-04-16 16:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-821
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-28 16:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henry Harris 2005-10-14 15:36:58 EDT
Description of problem: Starting an IP service causes the virtual IP's to be 
created on more than one node.  Stopping an IP service does not remove the 
virtual IP's.


Version-Release number of selected component (if applicable):
rgmanager-1.9.38-0.x86_64.rpm

How reproducible: Everytime


Steps to Reproduce:
1. Create an IP service in cluster manager
2. Start the IP service
3. Use ip addr list on each node to verify creation of virtual IP's
  
Actual results:
Virtual ip's created on multiple nodes

Expected results:
Virtual ip's created on one node

Additional info: Lon, this is to document the problem we had earlier this week
Comment 1 Lon Hohberger 2005-10-17 11:22:50 EDT
This happens when the IPs are specified with subnet mask on U2:

   10.1.1.2/24

...for example.  U2 does matching using " $ip/", but it should be doing matching
on " ${ip/\/*/}/".  A fix has been provided, and this fix will be in U3.
Comment 2 Lon Hohberger 2005-10-17 16:33:36 EDT
Fix in CVS.
Comment 4 Red Hat Bugzilla 2005-10-28 16:01:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-821.html

Note You need to log in before you can comment on or make changes to this bug.